summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAllan McRae <allan@archlinux.org>2012-08-22 15:30:34 +0200
committerDan McGee <dan@archlinux.org>2012-09-18 15:39:52 +0200
commit800799ea63a4e5b48b320fbb55267a4c522b8e9a (patch)
treef3a245b2c8498d718d0feb1e9de787e9455b7718 /scripts
parent03ea8ca6a996c02f62d067eb5793aa59fe60ba8f (diff)
downloadpacman-800799ea63a4e5b48b320fbb55267a4c522b8e9a.tar.gz
pacman-800799ea63a4e5b48b320fbb55267a4c522b8e9a.tar.xz
makepkg: do not create hg working directory on checkout
Creating the working directory can waste a lot of space. Fixes FS#31221. Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 51d3971c..21c660c0 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -477,7 +477,7 @@ download_hg() {
if [[ ! -d "$dir" ]]; then
msg2 "$(gettext "Cloning %s %s repo...")" "${repo}" "hg"
- if ! hg clone "$url" "$dir"; then
+ if ! hg clone -U "$url" "$dir"; then
error "$(gettext "Failure while downloading %s %s repo")" "${repo}" "hg"
plain "$(gettext "Aborting...")"
exit 1
@@ -485,7 +485,7 @@ download_hg() {
elif (( ! HOLDVER )); then
msg2 "$(gettext "Updating %s %s repo...")" "${repo}" "hg"
cd_safe "$dir"
- if ! hg pull -u; then
+ if ! hg pull; then
# only warn on failure to allow offline builds
warning "$(gettext "Failure while updating %s %s repo")" "${repo}" "hg"
fi